%define upstream_name    Crypt-OpenSSL-Random
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Crypt-OpenSSL-Random module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires: perl-devel
Buildrequires: openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Requires:	openssl

%description
Crypt-OpenSSL-Random module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes 
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/Random/Random.so
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/Random/autosplit.ix
%{perl_vendorlib}/*/Crypt/OpenSSL/Random.pm
%{_mandir}/*/*


%changelog
* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 403033
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-3mdv2009.0
+ Revision: 223581
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-2mdv2008.1
+ Revision: 152037
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 56122
- new version


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-9mdv2007.0
- Rebuild

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.03-8mdk
- rebuilt against openssl-0.9.8a

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-7mdk
- Fix previous mistake

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-6mdk
- Fix BuildRequires

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.03-5mdk
- rebuild for new perl

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.03-4mdk
- Move manpages in the standard location (man3 instead of man3pm)

